(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@harmowatch/redux-decorators'), require('rxjs/add/operator/toPromise'), require('rxjs/AsyncSubject'), require('rxjs/Observable'), require('@angular/core'), require('rxjs/add/operator/distinctUntilChanged'), require('rxjs/add/operator/map'), require('@angular/common'), require('rxjs/add/operator/takeWhile'), require('rxjs/BehaviorSubject'), require('redux')) :
	typeof define === 'function' && define.amd ? define(['exports', '@harmowatch/redux-decorators', 'rxjs/add/operator/toPromise', 'rxjs/AsyncSubject', 'rxjs/Observable', '@angular/core', 'rxjs/add/operator/distinctUntilChanged', 'rxjs/add/operator/map', '@angular/common', 'rxjs/add/operator/takeWhile', 'rxjs/BehaviorSubject', 'redux'], factory) :
	(factory((global.harmowatch = global.harmowatch || {}, global.harmowatch['ngx-redux-core'] = {}),global.reduxDecorators,global.Rx.Observable.prototype,global.Rx,global.Rx,global.ng.core,global.Rx.Observable.prototype,global.Rx.Observable.prototype,global.ng.common,global.Rx.Observable.prototype,global.Rx,global.redux));
}(this, (function (exports,reduxDecorators,toPromise,AsyncSubject,Observable,core,distinctUntilChanged,map,common,takeWhile,BehaviorSubject,redux) { 'use strict';

var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ActionInterface = (function () {
    function ActionInterface() {
    }
    return ActionInterface;
}());
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxAction = reduxDecorators.ReduxActionDecorator.forMethod;
var ReduxActionContext = reduxDecorators.ReduxActionContextDecorator.forClass;
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @record
 */
var Registry = (function () {
    function Registry() {
    }
    /**
     * @return {?}
     */
    Registry.reset = function () {
        Registry._store = new AsyncSubject.AsyncSubject();
        Registry._reducers = [];
    };
    /**
     * @param {?} store
     * @return {?}
     */
    Registry.registerStore = function (store) {
        Registry._store.next(store);
        Registry._store.complete();
        reduxDecorators.ReduxActionDispatcher.dispatchedActions.subscribe(function (action) {
            store.dispatch(/** @type {?} */ (action));
        });
    };
    /**
     * @param {?} stateName
     * @param {?} types
     * @param {?} reducer
     * @return {?}
     */
    Registry.registerReducer = function (stateName, types, reducer) {
        if (Array.isArray(types)) {
            types.forEach(function (type) {
                Registry._reducers.push({
                    reducer: reducer,
                    stateName: stateName,
                    type: type,
                });
            });
        }
        else {
            Registry._reducers.push({
                reducer: reducer,
                stateName: stateName,
                type: /** @type {?} */ (types),
            });
        }
    };
    /**
     * @param {?} state
     * @return {?}
     */
    Registry.registerState = function (state) {
        Registry.getStore().then(function (store) {
            var /** @type {?} */ stateConfig = reduxDecorators.ReduxStateDecorator.get(state.constructor);
            var /** @type {?} */ initState = state.getInitialState();
            var /** @type {?} */ initStateToResolve = initState;
            if (initState instanceof Observable.Observable) {
                initStateToResolve = initState.toPromise();
            }
            Promise.resolve(initStateToResolve).then(function (initialState) {
                store.dispatch({
                    payload: {
                        initialValue: initialState,
                        name: stateConfig.name,
                    },
                    type: Registry.ACTION_REGISTER_STATE,
                });
            });
        });
    };
    /**
     * @param {?} type
     * @return {?}
     */
    Registry.getReducerItemsByType = function (type) {
        var /** @type {?} */ reducerItemsByType = Registry._reducers
            .filter(function (reducerItem) { return reduxDecorators.ReduxActionDispatcher.getType(reducerItem.type) === type; });
        return reducerItemsByType;
    };
    /**
     * @return {?}
     */
    Registry.getStore = function () {
        return new Promise(Registry._store.subscribe.bind(Registry._store));
    };
    return Registry;
}());
Registry.ACTION_REGISTER_STATE = "@harmowatch/ngx-redux-core/registerState";
Registry._store = new AsyncSubject.AsyncSubject();
Registry._reducers = [];
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxModuleRootReducer = (function () {
    function ReduxModuleRootReducer() {
    }
    /**
     * @param {?} state
     * @param {?} action
     * @return {?}
     */
    ReduxModuleRootReducer.reduce = function (state, action) {
        if (action.type === Registry.ACTION_REGISTER_STATE) {
            return ReduxModuleRootReducer.reduceRegisterState(state, /** @type {?} */ (action));
        }
        return ReduxModuleRootReducer.reduceByRegisteredReducers(state, action);
    };
    /**
     * @param {?} state
     * @param {?} action
     * @return {?}
     */
    ReduxModuleRootReducer.reduceRegisterState = function (state, action) {
        var _a = action.payload, name = _a.name, initialValue = _a.initialValue;
        return Object.assign({}, state, (_b = {}, _b[name] = initialValue, _b));
        var _b;
    };
    /**
     * @param {?} state
     * @param {?} action
     * @return {?}
     */
    ReduxModuleRootReducer.reduceByRegisteredReducers = function (state, action) {
        var /** @type {?} */ reducers = Registry.getReducerItemsByType(action.type);
        return reducers.reduce(function (stateToReduce, reducerItem) {
            var stateName = reducerItem.stateName, reducer = reducerItem.reducer;
            return Object.assign({}, stateToReduce, (_a = {}, _a[stateName] = reducer(stateToReduce[stateName], action), _a));
            var _a;
        }, state);
    };
    return ReduxModuleRootReducer;
}());
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxReducer = reduxDecorators.ReduxReducerDecorator.forMethod;
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxSelector = (function (_super) {
    __extends(ReduxSelector, _super);
    /**
     * @param {?=} selector
     * @param {?=} stateProvider
     */
    function ReduxSelector(selector, stateProvider) {
        if (selector === void 0) { selector = '/'; }
        var _this = _super.call(this, function (observer) {
            Registry.getStore().then(function (store) {
                var /** @type {?} */ next = function () { return observer.next(ReduxSelector.getValueByState(store.getState(), selector, stateProvider)); };
                store.subscribe(function () { return next(); });
                next(); // we need to trigger a initial value, otherwise we've to wait until the first state change
            });
        }) || this;
        if (!ReduxSelectorCacheFactory.has(selector, stateProvider)) {
            ReduxSelectorCacheFactory.set(_this, selector, stateProvider);
        }
        return _this;
    }
    /**
     * @template T
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelector.create = function (selector, stateProvider) {
        return new ReduxSelector(selector, stateProvider);
    };
    /**
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelector.getAbsoluteSelector = function (selector, stateProvider) {
        if (!selector.startsWith(ReduxSelector.DELIMITER)) {
            if (!stateProvider) {
                throw new Error('You need to provide a state provider, if you use relative selectors');
            }
            return "/" + reduxDecorators.ReduxStateDecorator.get(stateProvider).name + "/" + selector;
        }
        return selector;
    };
    /**
     * @template S
     * @param {?} state
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelector.getValueByState = function (state, selector, stateProvider) {
        var /** @type {?} */ value = ReduxSelector.getAbsoluteSelector(selector, stateProvider).split(ReduxSelector.DELIMITER)
            .filter(function (propertyKey) { return propertyKey !== ''; })
            .reduce(function (previousValue, propertyKey) {
            if (!previousValue || !previousValue.hasOwnProperty(propertyKey)) {
                return null;
            }
            return previousValue[propertyKey];
        }, /** @type {?} */ (state));
        return value;
    };
    return ReduxSelector;
}(Observable.Observable));
ReduxSelector.DELIMITER = '/';
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxSelectorCacheFactory = (function () {
    function ReduxSelectorCacheFactory() {
    }
    /**
     * @return {?}
     */
    ReduxSelectorCacheFactory.clear = function () {
        ReduxSelectorCacheFactory.selectors = {};
    };
    /**
     * @template T
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelectorCacheFactory.getOrCreate = function (selector, stateProvider) {
        if (ReduxSelectorCacheFactory.has(selector, stateProvider)) {
            return ReduxSelectorCacheFactory.get(selector, stateProvider);
        }
        return new ReduxSelector(selector, stateProvider);
    };
    /**
     * @template T
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelectorCacheFactory.get = function (selector, stateProvider) {
        var /** @type {?} */ key = ReduxSelectorCacheFactory.getKey(selector, stateProvider);
        return (ReduxSelectorCacheFactory.selectors[key]);
    };
    /**
     * @param {?} reduxSelector
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelectorCacheFactory.set = function (reduxSelector, selector, stateProvider) {
        var /** @type {?} */ key = ReduxSelectorCacheFactory.getKey(selector, stateProvider);
        ReduxSelectorCacheFactory.selectors[key] = reduxSelector;
    };
    /**
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelectorCacheFactory.has = function (selector, stateProvider) {
        var /** @type {?} */ key = ReduxSelectorCacheFactory.getKey(selector, stateProvider);
        return !!ReduxSelectorCacheFactory.selectors[key];
    };
    /**
     * @param {?} selector
     * @param {?=} stateProvider
     * @return {?}
     */
    ReduxSelectorCacheFactory.getKey = function (selector, stateProvider) {
        return ReduxSelector.getAbsoluteSelector(selector, stateProvider);
    };
    return ReduxSelectorCacheFactory;
}());
ReduxSelectorCacheFactory.selectors = {};
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var StateDefToken = (function (_super) {
    __extends(StateDefToken, _super);
    function StateDefToken() {
        return _super.call(this, 'StateDefToken') || this;
    }
    return StateDefToken;
}(core.InjectionToken));
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxSelectPipe = (function () {
    /**
     * @param {?=} stateDefs
     */
    function ReduxSelectPipe(stateDefs) {
        if (stateDefs === void 0) { stateDefs = []; }
        this.stateDef = stateDefs[0];
    }
    /**
     * @param {?} selector
     * @return {?}
     */
    ReduxSelectPipe.prototype.transform = function (selector) {
        return ReduxSelectorCacheFactory.getOrCreate(selector, this.stateDef.provider).distinctUntilChanged();
    };
    return ReduxSelectPipe;
}());
ReduxSelectPipe.decorators = [
    { type: core.Pipe, args: [{ name: 'reduxSelect' },] },
];
/** @nocollapse */
ReduxSelectPipe.ctorParameters = function () { return [
    { type: Array, decorators: [{ type: core.Inject, args: [StateDefToken,] },] },
]; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @template S
 * @param {?} expression
 * @param {?=} context
 * @return {?}
 */
function ReduxSelect(expression, context) {
    return function (target, propertyKey) {
        var /** @type {?} */ observable;
        Object.defineProperty(target, propertyKey, {
            configurable: true,
            enumerable: true,
            get: function () {
                // use a getter to be lazy
                if (!observable) {
                    observable = new ReduxSelector(expression, context).distinctUntilChanged();
                }
                return observable;
            },
        });
    };
}
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @deprecated Use "ReduxSelector" instead
 */
var ReduxStateSelector = (function () {
    /**
     * @param {?} expression
     * @param {?=} context
     */
    function ReduxStateSelector(expression, context) {
        this.selector = new ReduxSelector(expression, context);
    }
    /**
     * @return {?}
     */
    ReduxStateSelector.prototype.asObservable = function () {
        return this.selector;
    };
    return ReduxStateSelector;
}());
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxState = reduxDecorators.ReduxStateDecorator.forClass;
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxStore = (function (_super) {
    __extends(ReduxStore, _super);
    function ReduxStore() {
        return _super.call(this, 'ReduxStore') || this;
    }
    return ReduxStore;
}(core.InjectionToken));
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxCommonModule = (function () {
    function ReduxCommonModule() {
    }
    return ReduxCommonModule;
}());
ReduxCommonModule.decorators = [
    { type: core.NgModule, args: [{
                declarations: [
                    ReduxSelectPipe,
                ],
                exports: [
                    ReduxSelectPipe,
                ],
            },] },
];
/** @nocollapse */
ReduxCommonModule.ctorParameters = function () { return []; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxTestingStore = (function () {
    function ReduxTestingStore() {
        this.state = new BehaviorSubject.BehaviorSubject(null);
    }
    /**
     * @template S
     * @param {?} state
     * @param {?} value
     * @return {?}
     */
    ReduxTestingStore.prototype.setState = function (state, value) {
        var _this = this;
        var name = reduxDecorators.ReduxStateDecorator.get(state).name;
        var /** @type {?} */ nextState = Object.assign({}, this.state.getValue(), (_a = {}, _a[name] = value, _a));
        this.state.next(nextState);
        return this.state
            .takeWhile(function (currentState) { return currentState !== nextState; })
            .toPromise().then(function () { return _this.state.getValue(); });
        var _a;
    };
    /**
     * @return {?}
     */
    ReduxTestingStore.prototype.getState = function () {
        return this.state.getValue();
    };
    /**
     * @param {?} listener
     * @return {?}
     */
    ReduxTestingStore.prototype.subscribe = function (listener) {
        return this.state.subscribe.call(this.state, listener);
    };
    /**
     * @return {?}
     */
    ReduxTestingStore.prototype.replaceReducer = function () {
    };
    /**
     * @template T
     * @param {?} action
     * @return {?}
     */
    ReduxTestingStore.prototype.dispatch = function (action) {
        return action;
    };
    return ReduxTestingStore;
}());
ReduxTestingStore.decorators = [
    { type: core.Injectable },
];
/** @nocollapse */
ReduxTestingStore.ctorParameters = function () { return []; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxTestingModule = (function () {
    /**
     * @param {?=} store
     */
    function ReduxTestingModule(store) {
        if (store === void 0) { store = null; }
        ReduxSelectorCacheFactory.clear();
        if (store) {
            Registry.reset();
            Registry.registerStore(store);
        }
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    ReduxTestingModule.forRoot = function (config) {
        if (config === void 0) { config = {}; }
        return {
            ngModule: ReduxTestingModule,
            providers: config.state ? [
                { provide: ReduxTestingStore, useFactory: config.storeFactory || ReduxTestingModule.defaultStoreFactory },
                { provide: StateDefToken, useValue: config.state || null, multi: true },
                config.state ? config.state.provider : null,
            ] : [
                { provide: ReduxTestingStore, useFactory: config.storeFactory || ReduxTestingModule.defaultStoreFactory },
                { provide: StateDefToken, useValue: config.state || null, multi: true },
            ],
        };
    };
    /**
     * @return {?}
     */
    ReduxTestingModule.defaultStoreFactory = function () {
        return new ReduxTestingStore();
    };
    return ReduxTestingModule;
}());
ReduxTestingModule.decorators = [
    { type: core.NgModule, args: [{
                exports: [
                    ReduxCommonModule,
                ],
                imports: [
                    common.CommonModule,
                ],
                providers: [
                    ReduxTestingStore,
                ],
            },] },
];
/** @nocollapse */
ReduxTestingModule.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [ReduxTestingStore,] },] },
]; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var StateDefinitionManager = (function () {
    /**
     * @param {?} injector
     */
    function StateDefinitionManager(injector) {
        this.injector = injector;
        this.knownStateDefinitions = {};
    }
    /**
     * @param {?} stateDefs
     * @return {?}
     */
    StateDefinitionManager.prototype.add = function (stateDefs) {
        var _this = this;
        stateDefs
            .filter(function (def) { return def != null; })
            .forEach(function (def) {
            var name = reduxDecorators.ReduxStateDecorator.get(def.provider).name;
            if (!_this.knownStateDefinitions[name]) {
                Registry.registerState(_this.injector.get(def.provider));
                if (Array.isArray(def.reducers)) {
                    _this.registerReducers(name, def.reducers);
                }
                _this.knownStateDefinitions[name] = def;
            }
        });
    };
    /**
     * @param {?} stateName
     * @param {?} reducers
     * @return {?}
     */
    StateDefinitionManager.prototype.registerReducers = function (stateName, reducers) {
        reducers.forEach(function (reducerClass) { return Object.values(reducerClass.prototype)
            .forEach(function (reducerMethod) {
            var /** @type {?} */ type = reduxDecorators.ReduxReducerDecorator.get(reducerMethod);
            Registry.registerReducer(stateName, Array.isArray(type) ? type : [type], reducerMethod);
        }); });
    };
    return StateDefinitionManager;
}());
StateDefinitionManager.decorators = [
    { type: core.Injectable },
];
/** @nocollapse */
StateDefinitionManager.ctorParameters = function () { return [
    { type: core.Injector, },
]; };
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ReduxRootModule = (function () {
    /**
     * @param {?=} store
     * @param {?=} stateDefinitionManager
     * @param {?=} stateDefs
     */
    function ReduxRootModule(store, stateDefinitionManager, stateDefs) {
        if (store === void 0) { store = null; }
        if (stateDefs === void 0) { stateDefs = []; }
        this.stateDefinitionManager = stateDefinitionManager;
        Registry.registerStore(store);
        this.stateDefinitionManager.add(stateDefs);
    }
    return ReduxRootModule;
}());
ReduxRootModule.decorators = [
    { type: core.NgModule, args: [{
                exports: [
                    ReduxCommonModule,
                ],
                imports: [
                    common.CommonModule,
                ],
                providers: [
                    StateDefinitionManager,
                ]
            },] },
];
/** @nocollapse */
ReduxRootModule.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Inject, args: [ReduxStore,] },] },
    { type: StateDefinitionManager, },
    { type: Array, decorators: [{ type: core.Optional }, { type: core.Inject, args: [StateDefToken,] },] },
]; };
var ReduxModule = (function () {
    /**
     * @param {?=} stateDefs
     * @param {?=} stateDefinitionManager
     */
    function ReduxModule(stateDefs, stateDefinitionManager) {
        if (stateDefs === void 0) { stateDefs = []; }
        this.stateDefinitionManager = stateDefinitionManager;
        this.stateDefinitionManager.add(stateDefs);
    }
    /**
     * @param {?=} config
     * @return {?}
     */
    ReduxModule.forChild = function (config) {
        if (config === void 0) { config = {}; }
        return {
            ngModule: ReduxModule,
            providers: [
                { provide: StateDefToken, useValue: config.state || null, multi: true },
                config.state ? config.state.provider : null,
            ],
        };
    };
    /**
     * @param {?=} config
     * @return {?}
     */
    ReduxModule.forRoot = function (config) {
        if (config === void 0) { config = {}; }
        return {
            ngModule: ReduxRootModule,
            providers: config.state ? [
                { provide: ReduxStore, useFactory: config.storeFactory || ReduxModule.defaultStoreFactory },
                { provide: StateDefToken, useValue: config.state || null, multi: true },
                config.state ? config.state.provider : null,
            ] : [
                { provide: ReduxStore, useFactory: config.storeFactory || ReduxModule.defaultStoreFactory },
                { provide: StateDefToken, useValue: config.state || null, multi: true },
            ],
        };
    };
    /**
     * @return {?}
     */
    ReduxModule.defaultStoreFactory = function () {
        return redux.createStore(ReduxModuleRootReducer.reduce, {}, ReduxModule.defaultEnhancerFactory());
    };
    /**
     * @return {?}
     */
    ReduxModule.defaultEnhancerFactory = function () {
        if (console && window['__REDUX_DEVTOOLS_EXTENSION__'] && core.isDevMode()) {
            return window['__REDUX_DEVTOOLS_EXTENSION__']();
        }
        return ReduxModule.noopEnhancer;
    };
    /**
     * @param {?} next
     * @return {?}
     */
    ReduxModule.noopEnhancer = function (next) {
        return next;
    };
    return ReduxModule;
}());
ReduxModule.decorators = [
    { type: core.NgModule, args: [{
                exports: [
                    ReduxCommonModule,
                ],
                imports: [
                    common.CommonModule,
                ],
                providers: [
                    StateDefinitionManager,
                ]
            },] },
];
/** @nocollapse */
ReduxModule.ctorParameters = function () { return [
    { type: Array, decorators: [{ type: core.Optional }, { type: core.Inject, args: [StateDefToken,] },] },
    { type: StateDefinitionManager, },
]; };

exports.ReduxAction = ReduxAction;
exports.ReduxActionContext = ReduxActionContext;
exports.ActionInterface = ActionInterface;
exports.ReduxModuleRootReducer = ReduxModuleRootReducer;
exports.ReduxReducer = ReduxReducer;
exports.ReduxSelect = ReduxSelect;
exports.ReduxSelectPipe = ReduxSelectPipe;
exports.ReduxState = ReduxState;
exports.ReduxStateSelector = ReduxStateSelector;
exports.ReduxStore = ReduxStore;
exports.ReduxTestingModule = ReduxTestingModule;
exports.ReduxTestingStore = ReduxTestingStore;
exports.ReduxSelector = ReduxSelector;
exports.ReduxSelectorCacheFactory = ReduxSelectorCacheFactory;
exports.ReduxRootModule = ReduxRootModule;
exports.ReduxModule = ReduxModule;
exports.ɵb = ReduxCommonModule;
exports.ɵc = StateDefinitionManager;
exports.ɵa = StateDefToken;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=harmowatch-ngx-redux-core.umd.js.map
